Bug 205906 - [NEW PORT] www/squidanalyzer: Squid access log report generation tool
Summary: [NEW PORT] www/squidanalyzer: Squid access log report generation tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords: feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-01-04 22:58 UTC by dominique.goncalves
Modified: 2016-02-20 01:03 UTC (History)
1 user (show)

See Also:


Attachments
squidanalyzer.shar (3.36 KB, text/plain)
2016-01-04 22:58 UTC, dominique.goncalves
no flags Details
squidanalyzer.shar (2.15 KB, application/x-shar)
2016-01-28 22:38 UTC, dominique.goncalves
no flags Details
squidanalyzer.shar (4.26 KB, text/plain)
2016-02-09 12:58 UTC, dominique.goncalves
no flags Details
updated shar (4.78 KB, application/x-shar)
2016-02-18 00:48 UTC, Roman Bogorodskiy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dominique.goncalves 2016-01-04 22:58:25 UTC
Created attachment 165083 [details]
squidanalyzer.shar

Add new port www/squidanalyzer

XSquid Analyzer parses Squid proxy access log and reports general statistics
Xabout hits, bytes, users, networks, top URLs, and top second level domains.
XStatistic reports are oriented toward user and bandwidth control.
Comment 1 dominique.goncalves 2016-01-28 22:38:57 UTC
Created attachment 166248 [details]
squidanalyzer.shar

updated Makefile: 
 replace CONFIGURE_ARGS+= to CONFIGURE_ENV
 remove EXTRACT_SUFFIX
Comment 2 Roman Bogorodskiy freebsd_committer 2016-02-07 02:25:38 UTC
This fails 'make check-orphans'. You need to install all the stuff you have into $STAGEDIR first.

E.g. BINDIR should BINDIR=${STAGEDIR}${PREFIX}/bin etc.

When I change this, it shows a number of issues still:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: etc/excluded
Error: Orphaned: etc/included
Error: Orphaned: etc/lang/ca_CA.txt
Error: Orphaned: etc/lang/cs_CZ.txt
Error: Orphaned: etc/lang/de_DE.txt
Error: Orphaned: etc/lang/en_US.txt
Error: Orphaned: etc/lang/es_ES.txt
Error: Orphaned: etc/lang/fr_FR.txt
Error: Orphaned: etc/lang/it_IT.txt
Error: Orphaned: etc/lang/pl_PL.txt
Error: Orphaned: etc/lang/pt_BR.txt
Error: Orphaned: etc/lang/ru_RU.txt
Error: Orphaned: etc/lang/uk_UA.txt
Error: Orphaned: etc/network-aliases
Error: Orphaned: %%ETCDIR%%.conf
Error: Orphaned: etc/user-aliases
Error: Orphaned: man/man3/squid-analyzer.3.gz
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/ChangeLog
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/INSTALL
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/README
Error: Orphaned: www/squidreport/flotr2.js
Error: Orphaned: www/squidreport/images/back-arrow.png
Error: Orphaned: www/squidreport/images/cursor.png
Error: Orphaned: www/squidreport/images/domain.png
Error: Orphaned: www/squidreport/images/info.png
Error: Orphaned: www/squidreport/images/logo-squidanalyzer.png
Error: Orphaned: www/squidreport/images/network.png
Error: Orphaned: www/squidreport/images/user.png
Error: Orphaned: www/squidreport/sorttable.js
Error: Orphaned: www/squidreport/squidanalyzer.css
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
Comment 3 dominique.goncalves 2016-02-09 12:58:34 UTC
Created attachment 166798 [details]
squidanalyzer.shar

I tried to change BINDIR but 'make check-orphans' does not return error.
I updated pkg-plist with your comments.
Comment 4 Roman Bogorodskiy freebsd_committer 2016-02-18 00:48:12 UTC
Created attachment 167131 [details]
updated shar

I have updated the shar. Changes made:

 - Added DESTDIR to CONFIGURE_ENV to install stuff into STAGEDIR (I'm still wondering why check-orphans wasn't failing for you with the old version though),
 - Added post-install target that renames config files to .sample. @sample itself is not enough, files have to be renamed manually before,
 - Moved pkg-message to files/pkg-message.in and added corresponding SUB_FILES entry to substitute the actual paths rather than having ${LOCALBASE}. Note: for stuff that your package is installing you have to use PREFIX, not LOCALBASE.
Comment 5 commit-hook freebsd_committer 2016-02-20 01:01:54 UTC
A commit references this bug:

Author: novel
Date: Sat Feb 20 01:01:07 UTC 2016
New revision: 409220
URL: https://svnweb.freebsd.org/changeset/ports/409220

Log:
  Add squidanalyzer 6.5, squid access log report generation tool.

  PR:		205906
  Submitted by:	Dominique Goncalves <dominique.goncalves@gmail.com>

Changes:
  head/www/Makefile
  head/www/squidanalyzer/
  head/www/squidanalyzer/Makefile
  head/www/squidanalyzer/distinfo
  head/www/squidanalyzer/files/
  head/www/squidanalyzer/files/pkg-message.in
  head/www/squidanalyzer/pkg-descr
  head/www/squidanalyzer/pkg-plist
Comment 6 Roman Bogorodskiy freebsd_committer 2016-02-20 01:03:03 UTC
Committed, thanks!